import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { InlineEditorComponent } from '@iotize/ionic';
import { AbstractVariable, TapVariable } from '@iotize/tap/data';
import { TapVariableButton } from '../tap-variable-buttons/tap-variable-buttons.component';
declare type CardType = 'gauge' | 'text' | 'chart' | 'switch' | 'buttons' | 'range' | 'select';
export declare class VariableCardComponent implements OnInit, OnDestroy {
    router: Router;
    waitForSubmit: boolean;
    cardType: CardType;
    cardTypes: CardType[];
    editMode: boolean;
    monitor: boolean;
    showStartStopMonitoring: boolean;
    unit: string;
    error?: Error;
    value: any;
    /**
     *
     */
    refreshValues: boolean;
    monitoringButtons: TapVariableButton[];
    selectOptions: InlineEditorComponent.InputOptions;
    _variable?: AbstractVariable<any>;
    private _subscription?;
    set variable(variable: AbstractVariable<any>);
    get variable(): AbstractVariable<any>;
    constructor(router: Router);
    get variableConfig(): TapVariable.Config | undefined;
    ngOnInit(): void;
    switchButtonToggleAction(checked: boolean): Promise<void>;
    ngOnDestroy(): void;
    onCardTypeChange($event: CustomEvent<{
        value: CardType;
    }>): void;
    toggleMonitoring(): void;
}
export {};
